org.richfaces.component

## Class AbstractDropTarget

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractDropTarget

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxActivatorProps, AjaxProps, BypassProps, ImmediateProps
  Direct Known Subclasses:
    UIDropTarget

      public abstract class AbstractDropTarget
      extends javax.faces.component.UIComponentBase
      implements AjaxProps, BypassProps, ImmediateProps

  The <rich:dropTarget> component can be added to a component so that the component can accept dragged items. The dragged items must be defined with a compatible drop type for the <rich:dragSource> component.

  Author:
    abelevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDropTarget()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDropListener(DropListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `abstract Object` | `getAcceptedTypes()` A list of drag zones types, which elements are accepted by a drop zone
    `abstract javax.el.MethodExpression` | `getDropListener()` MethodExpression representing an action listener method that will be notified after drop operation.
    `DropListener[]` | `getDropListeners()`
    `abstract Object` | `getDropValue()` Data to be processed after a drop event
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeDropListener(DropListener listener)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.AjaxProps

      `getExecute, getOnbegin, getStatus`

    - ### Methods inherited from interface org.richfaces.component.attribute.AjaxActivatorProps

      `getData, getOnbeforedomupdate, getOncomplete, getRender, isLimitRender, isResetValues`

    - ### Methods inherited from interface org.richfaces.component.attribute.BypassProps

      `isBypassUpdates`

    - ### Methods inherited from interface org.richfaces.component.attribute.ImmediateProps

      `isImmediate`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractDropTarget

          public AbstractDropTarget()

  - ### Method Detail

    - #### getDropValue

          public abstract Object getDropValue()

      Data to be processed after a drop event

    - #### getAcceptedTypes

          public abstract Object getAcceptedTypes()

      A list of drag zones types, which elements are accepted by a drop zone

    - #### getDropListener

          public abstract javax.el.MethodExpression getDropListener()

      MethodExpression representing an action listener method that will be notified after drop operation. The expression must evaluate to a public method that takes an DropEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing where the event came from, but this can be useful in cases where a notification is needed that "some action happened".

    - #### addDropListener

          public void addDropListener(DropListener listener)

    - #### getDropListeners

          public DropListener[] getDropListeners()

    - #### removeDropListener

          public void removeDropListener(DropListener listener)

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.